<div class="profile-view-container" >
  <div class="card">
      <form class="search-container">
        <span class="search-title">Recherche</span>
        <div class="field">
          <label for="name" class="floating">Nom</label>
          <input
            id="name"
            name="name"
            [ngModel]="name()"
            (keyup)="name.set($any($event.target).value)">
        </div>
        <div class="field">
          <label for="job" class="floating">Métier</label>
          <input
            id="job"
            name="job"
            [ngModel]="job()"
            (keyup)="job.set($any($event.target).value)"
          >
        </div>
        <div class="field">
          <label for="job" class="floating">Localisation</label>
          <input
            id="location"
            name="location"
            [ngModel]="location()"
            (keyup)="location.set($any($event.target).value)"
          >
        </div>
        <div class="field">
          <mat-slide-toggle
            name="available"
            [ngModel]="available()"
            (click)="available.set($any($event.target).value)"
          >
            Disponible uniquement
          </mat-slide-toggle>
        </div>
      </form>
  </div>

  <div class="card">
    <table>
      <tbody>
        <tr>
          <th>Nom</th>
          <th>Metier</th>
          <th>Localization</th>
          <th>Disponiblité</th>
        </tr>
        <tr *ngFor="let profile of profiles()">
          <td>{{profile.name}}</td>
          <td>{{profile.job}}</td>
          <td>{{profile.location}}</td>
          <td>
              <div class="availability-badge" [ngClass]="profile.available ? 'available' : 'unavailable'">
                  {{profile.available ? 'Disponible' : 'Indisponible'}}
              </div>

          </td>
        </tr>
      </tbody>
    </table>
  </div>

</div>
